Skip to main content
`Ctrl`+`K`

# PetscRegressorSetUp

Sets up the internal data structures for the later use of a regressor.

## Synopsis

    PetscErrorCode PetscRegressorSetUp(PetscRegressor regressor)

Collective

## Input Parameter

- regressor - the `PetscRegressor` context

## Notes

For basic use of the `PetscRegressor` solvers the user need not to explicitly call `PetscRegressorSetUp()`, since these actions will automatically occur during the call to `PetscRegressorFit()`. However, if one wishes to control this phase separately, `PetscRegressorSetUp()` should be called after `PetscRegressorCreate()`, `PetscRegressorSetUp()`, and optional routines of the form `PetscRegressorSetXXX()`, but before `PetscRegressorFit()`.

## See Also

`PetscRegressorCreate()`, `PetscRegressorFit()`, `PetscRegressorDestroy()`

## Level

advanced

## Location

src/ml/regressor/interface/regressor.c

## Implementations

PetscRegressorSetUp_Linear() in src/ml/regressor/impls/linear/linear.c

Index of all PetscRegressor routines
Table of Contents for all manual pages
Index of all manual pages